Bug 740704 - Need manual about beaker xml tags
Summary: Need manual about beaker xml tags
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: Doc
Version: 0.7
Hardware: Unspecified
OS: Unspecified
high
unspecified vote
Target Milestone: 0.10.0
Assignee: Amit Saha
QA Contact: Dan Callaghan
URL:
Whiteboard: Doc
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-23 02:40 UTC by xiali
Modified: 2018-02-06 00:41 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-22 06:44:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 870904 None None None Never

Internal Links: 870904

Description xiali 2011-09-23 02:40:18 UTC
Description of problem:
Hi, all

I need to write or modify beaker xml manually sometimes, so I wish there is a detailed manual about all beaker xml tags, I found this: https://fedorahosted.org/beaker/browser/Common/bkr/common/schema/beaker-job.rng, but it lack of comments...

Please setup a manual or wiki about that, more comments and examples will be best.

Comment 1 Amit Saha 2012-10-12 00:34:24 UTC
Hi Adam, did you just mean the Job XML schema: http://beaker-project.org/schema/beaker-job.rng ?

Comment 2 xiali 2012-10-12 02:40:11 UTC
      <optional>
        <ref name="watchdog"/>
      </optional>


not really, like watchdog option above, there is no description about it's value and effect.

Comment 4 Amit Saha 2012-10-29 06:55:57 UTC
Job XML description is already available to some extent at http://beaker-project.org/guide/User_Guide-Getting_Started-Process-Beaker_Interface-Jobs.html#User_Guide-Getting_Started-Process-Beaker_Interface-Jobs-Job_Submission-Submitting_a_New_Job.

This patch http://gerrit.beaker-project.org/#/c/1420/ adds documentation to the RNG schema and makes other changes to the documentation to make the Job XML description more reachable.

Comment 5 Dan Callaghan 2012-11-08 05:04:49 UTC
The changes to beaker-job.rng for this bug break job cloning. Beaker produces a priority like "Normal" (capitalised) but the schema only permits "normal" (lower-case).

There should already be a test case for round-tripping job XML which should have caught this. It might need to be updated.

Comment 7 Amit Saha 2012-11-08 07:46:44 UTC
On Gerrit: http://gerrit.beaker-project.org/#/c/1476/

Comment 8 Raymond Mancy 2012-11-22 06:44:20 UTC
This has now been released


Note You need to log in before you can comment on or make changes to this bug.